Home/Support/Support Forum/Is there a Realport driver for Oracle Linux 6? If not any plan to support this platform?
Welcome to Digi Forum, where you can ask questions and receive answers from other members of the community.

Is there a Realport driver for Oracle Linux 6? If not any plan to support this platform?

0 votes
asked Nov 10, 2014 in Realport by tone New to the Community (1 point)

Please log in or register to answer this question.

3 Answers

0 votes
Have you tried the latest Linux driver release?


http://www.digi.com/support/productdetail?pid=2247&type=drivers
answered Nov 10, 2014 by userid0 Veteran of the Digi Community (2,158 points)
0 votes
Yes, I tried install Realport Driver for Linux ver. 1.9.34 version but got following error:

checking for current kernel version... 3.8.13-16.2.1.el6uek.x86_64 -> 3.8.13-16.2.1.6.86_64 -> 3.8.13
checking for kernel headers... "Not found."


****************************************************************************
* Unable to locate matching kernel source for the
* linux 3.8.13-16.2.1.el6uek.x86_64 kernel that is currently running!
*
* The Digi RealPort driver requires this linux kernel source to be
* installed as /usr/src/linux-3.8.13-16.2.1.el6uek.x86_64 before being able to correctly
* build the driver.
*
* Please install the kernel sources which must match the running
* linux 3.8.13-16.2.1.el6uek.x86_64 kernel, and then try installing again.
****************************************************************************

configure: error: Unable to find kernel headers. Failing configure script.

Is this the latest version you have? Have anyone installed successfully on Oracle Linux 6? Any specific instructions?

thank you!
answered Nov 10, 2014 by tone New to the Community (1 point)
If installing the kernel headers package still fails, please post the latest error seen as the latest driver should work in this system.
0 votes
The error suggests that you do not have the kernel headers installed. Have you installed the kernel-uek-headers-3.8.13-16.2.1.el6uek.x86_64.rpm kernel headers package?

Also, you might want to check to be sure you have all dependencies installed:

http://www.digi.com/support/kbase/kbaseresultdetl?id=377
answered Nov 11, 2014 by userid0 Veteran of the Digi Community (2,158 points)
...